
From: William Lee Irwin III <wli@holomorphy.com>

There are some string tables only used for debugging printk()'s in IRDA
that trip warnings when CONFIG_IRDA_DEBUG is not set.

This patch makes them conditional on CONFIG_IRDA_DEBUG to silence warnings.

Signed-off-by: William Irwin <wli@holomorphy.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/irda/ircomm/ircomm_event.c      |    2 ++
 25-akpm/net/irda/ircomm/ircomm_tty_attach.c |    2 ++
 2 files changed, 4 insertions(+)

diff -puN net/irda/ircomm/ircomm_event.c~make-irda-string-tables-conditional-on-config_irda_debug net/irda/ircomm/ircomm_event.c
--- 25/net/irda/ircomm/ircomm_event.c~make-irda-string-tables-conditional-on-config_irda_debug	Tue Jan  4 15:39:31 2005
+++ 25-akpm/net/irda/ircomm/ircomm_event.c	Tue Jan  4 15:39:31 2005
@@ -57,6 +57,7 @@ char *ircomm_state[] = {
 	"IRCOMM_CONN",
 };
 
+#ifdef CONFIG_IRDA_DEBUG
 static char *ircomm_event[] = {
 	"IRCOMM_CONNECT_REQUEST",
         "IRCOMM_CONNECT_RESPONSE",
@@ -75,6 +76,7 @@ static char *ircomm_event[] = {
         "IRCOMM_CONTROL_REQUEST",
         "IRCOMM_CONTROL_INDICATION",
 };
+#endif /* CONFIG_IRDA_DEBUG */
 
 static int (*state[])(struct ircomm_cb *self, IRCOMM_EVENT event,
 		      struct sk_buff *skb, struct ircomm_info *info) = 
diff -puN net/irda/ircomm/ircomm_tty_attach.c~make-irda-string-tables-conditional-on-config_irda_debug net/irda/ircomm/ircomm_tty_attach.c
--- 25/net/irda/ircomm/ircomm_tty_attach.c~make-irda-string-tables-conditional-on-config_irda_debug	Tue Jan  4 15:39:31 2005
+++ 25-akpm/net/irda/ircomm/ircomm_tty_attach.c	Tue Jan  4 15:39:31 2005
@@ -91,6 +91,7 @@ char *ircomm_tty_state[] = {
 	"*** ERROR *** ",
 };
 
+#ifdef CONFIG_IRDA_DEBUG
 static char *ircomm_tty_event[] = {
 	"IRCOMM_TTY_ATTACH_CABLE",
 	"IRCOMM_TTY_DETACH_CABLE",
@@ -107,6 +108,7 @@ static char *ircomm_tty_event[] = {
 	"IRCOMM_TTY_GOT_LSAPSEL",
 	"*** ERROR ****",
 };
+#endif /* CONFIG_IRDA_DEBUG */
 
 static int (*state[])(struct ircomm_tty_cb *self, IRCOMM_TTY_EVENT event,
 		      struct sk_buff *skb, struct ircomm_tty_info *info) = 
_
